#include "eyemap.h"
#include "ui_eyemap.h"

#include <QApplication>
#include <QPainter>

EyeMap::EyeMap(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::EyeMap)
{
    ui->setupUi(this);
    m_logger = spdlog::get("OSC");
    if(m_logger == nullptr)
    {
        SPDLOG_ERROR("获取 OSC logger 失败");
        return;
    }
    /* 自定义大小 */
    setFixedSize(1600, 900);

    SPDLOG_LOGGER_INFO(m_logger, "EyeMap 初始化成功");

}

EyeMap::~EyeMap()
{
    
    delete ui;
}

/**
 * @brief 绘制图形
 * 
 * @param event 
 */
void EyeMap::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    /* 绘制背景 */
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setPen(QPen(Qt::blue, 1, Qt::SolidLine));
    painter.setBrush(QBrush(Qt::black, Qt::SolidPattern));
    painter.drawRect(0, 0, 1600, 900);
    /* 绘制刻度 */

    /* 绘制网格 */
    
    /* 绘制眼图 */
}

